Subject: [AVT] need iLBC codes(direct in 'C' language)

From: rahul agrawal <[email-masked]>
Date: Thu, 10 Mar 2005 06:34:57 +0000 (GMT)

i want the iLBC(source code) programme in 'C' language, which is already given in ietf(RFC), but actually i need that codes, if these given in any website then tell me the adress of that site.

[email-masked] wrote:
Send avt mailing list submissions to
[email-masked]

To subscribe or unsubscribe via the World Wide Web, visit
https://www1.ietf.org/mailman/listinfo/avt
or, via email, send a message with subject or body 'help' to
[email-masked]

You can reach the person managing the list at
[email-masked]

When replying, please edit your Subject line so it is more specific
than "Re: Contents of avt digest..."

Today's Topics:

1. Re: "RTP Payload format for uncompressed video" with
ancillary data (Colin Perkins)
2. Re: "RTP Payload format for uncompressed video" with
ancillary data (Randell Jesup)
3. Update to Agenda for Minneapolis (Magnus Westerlund)
4. Re: Slides for IETF62 Monday (Colin Perkins)

----------------------------------------------------------------------

Message: 1
Date: Tue, 8 Mar 2005 11:28:31 -0600
From: Colin Perkins 
Subject: Re: [AVT] "RTP Payload format for uncompressed video" with
ancillary data
To: Alejandro Cabrera Obed 
Cc: AVT Lista 
Message-ID: 
Content-Type: text/plain; charset=ISO-8859-1; format=flowed

On 8 Mar 2005, at 10:48, Alejandro Cabrera Obed wrote:
> I've read the past mail about "RTP payload format for uncompressed
> video" as a proposed standard. I'm studying the way to transmit HDTV
> video uncompressed using this RFC, but I know that for the moment it´s
> not possible to transmit both audio and video data with this RFC.
>
> If I read this paragraph from the RFC: "In instances where ancillary
> data is being transmitted the sender and receiver can disambiguate
> between ancillary and video data via scan line numbers. That is, the
> ancillary data will use scan line numbers that are not within the
> scope of the video frame.", I ask you:
>
> Is it possible to consider the audio data from the HDTV standard as
> "ancillary data" and so transmit also the audio within the RTP Payload
> format for uncompressed video with no synchronization problems with
> the video data ???

It's possible, but not recommended. You should either send audio and 
video as separate RTP streams (draft-ietf-avt-uncomp-video-06.txt for 
the video, and probably L16 audio) or you should send a bundled stream 
using the RFC 3497 format.

Colin

------------------------------

Message: 2
Date: 08 Mar 2005 17:38:30 -0500
From: Randell Jesup 
Subject: Re: [AVT] "RTP Payload format for uncompressed video" with
ancillary data
To: Alejandro Cabrera Obed 
Cc: AVT Lista 
Message-ID: 
Content-Type: text/plain; charset=iso-8859-1

Alejandro Cabrera Obed writes:
>I've read the past mail about "RTP payload format for uncompressed
>video" as a proposed standard. I'm studying the way to transmit HDTV
>video uncompressed using this RFC, but I know that for the moment it´s
>not possible to transmit both audio and video data with this RFC.
>
>If I read this paragraph from the RFC: "In instances where ancillary
>data is being transmitted the sender and receiver can disambiguate 
>between ancillary and video data via scan line numbers. That is, the 
>ancillary data will use scan line numbers that are not within the
>scope of the video frame.", I ask you:
>
>Is it possible to consider the audio data from the HDTV standard as
>"ancillary data" and so transmit also the audio within the RTP Payload
>format for uncompressed video with no synchronization problems with
>the video data ???

This is an uncompressed video stream. RTP with multiple types of
media is normally handled by sending multiple streams, and synchronizing
via RTCP and timestamps. If you want to send an MPEG2 transport stream,
that's a different beast. If you want to define an "uncompressed video
plus audio" streamtype, and an RTP packetization for it, you're free to
do so - though most other people probably don't see the need for it.

Ancillary data is typically stuff like close-captioning data, etc.

-- 
Randell Jesup, Worldgate Communications, ex-Scala, ex-Amiga OS team
[email-masked]

------------------------------

Message: 3
Date: Wed, 09 Mar 2005 16:28:44 +0100
From: Magnus Westerlund 
Subject: [AVT] Update to Agenda for Minneapolis
To: Colin Perkins , IETF AVT WG 
Message-ID: <[email-masked]>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed

Hi,

In addition to todays discussion around application and desktop sharing 
anr remote usage, we will have discussion around the proposed extensions 
to TFRC to better handle small packets (TFRC VoIP mode) lead by Sally 
Floyd. The relevant draft is:
http://www.ietf.org/internet-drafts/draft-ietf-dccp-tfrc-voip-01.txt

Cheers

Magnus

Colin Perkins wrote:
> 
> Wednesday, 9 March 2005, 13:00-15:00
> ====================================
> 
> Introduction (Chairs)
> 5 min
> 
> Protocols for Application and Desktop Sharing (Schulzrinne)
> draft-lennox-avt-app-sharing-00.txt 15 min
> 
> LRDP: The Lightweight Remote Display Protocol (Stirbu)
> draft-stirbu-avt-lrdp-00.txt 15 min
> draft-stirbu-mmusic-scal-sharing-00.txt
> 
> - * -
> 
> 

-- 

Magnus Westerlund

Multimedia Technologies, Ericsson Research EAB/TVA/A
----------------------------------------------------------------------
Ericsson AB | Phone +46 8 4048287
Torshamsgatan 23 | Fax +46 8 7575550
S-164 80 Stockholm, Sweden | mailto: [email-masked]

------------------------------

Message: 4
Date: Wed, 9 Mar 2005 10:41:36 -0600
From: Colin Perkins 
Subject: Re: [AVT] Slides for IETF62 Monday
To: IETF AVT WG 
Message-ID: <[email-masked]>
Content-Type: text/plain; charset=US-ASCII; format=flowed

On 7 Mar 2005, at 08:43, Colin Perkins wrote:
> The presentation materials which will be used in AVT today can be 
> retrieved from http://csperkins.org/misc/ietf62-avt-day1.zip
>
> These will migrate to the IETF proceedings page after the meeting.

Slides for the session this afternoon can be found at
http://csperkins.org/misc/ietf62-avt-day2.zip

Colin

------------------------------

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt

End of avt Digest, Vol 11, Issue 10
***********************************

---------------------------------
Do you Yahoo!?
 Make Yahoo! your home page   

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt